/*----------------------- Rogaland University Centre -------------------------
## \section{blackpst}
## 
## \subsection*{Purpose}
## Compute percentage of black pixels (pixelvalue 0) in an image.
## 
## \subsection*{Usage}
## \begin{verbatim}
## blackpst [imagefile]
## \end{verbatim}
## 
## \subsection*{Date created}
## February 1993
 *------------------------ Rogaland University Centre -----------------------*/

#include <hipl_format.h>

static Flag_Format flagfmt[]={LASTFLAG};
int types[]={PFBYTE,LASTTYPE};

main(int argc,char **argv)
{
  struct header hd, hdp;
  int method,i,j,f;
  Filename filename;
  FILE *fp;
  byte **img;
  unsigned long black;

  Progname = strsave(*argv);
  parseargs(argc,argv,flagfmt,FFONE,&filename);
  fp = hfopenr(filename);
  fread_hdr_a(fp,&hd,filename);
  method = fset_conversion(&hd,&hdp,types,filename);
  for (f=0; f<hdp.num_frame; f++) {
    fread_imagec(fp,&hd,&hdp,method,f,filename);
    img = (byte **) matrix2(&hdp);
    black = 0;
    
    for(i=0; i<hdp.rows;i++) {
      for(j=0;j<hdp.cols;j++) {
	if (img[i][j] == 0)
	  black++;
      }
    }

    free_matrix2(img);

    printf("%5.2f%%\n",100.0 * black / (hdp.rows * hdp.cols));
  }

  return(0);
}
