/*----------------------- Rogaland University Centre -------------------------
## \section{error}
## 
## \subsection*{Purpose}
## Error handler
## 
## \subsection*{Usage}
## \subsubsection*{error\_handler}
## \begin{verbatim}
## error_handler(errcode,str)
##      int errcode;
##      char *str;
## \end{verbatim}
## \begin{itemize}
##   \item	Error-code, see {\tt error.h}.
##   \item	Error message string
## \end{itemize}
## 
## \subsection*{Date created}
## February 1993
 *------------------------ Rogaland University Centre -----------------------*/



#include <hipl_format.h>
#include "error.h"

/* Error-handler */
error_handler(errcode,str)
     int errcode;
     char *str;
{
  char *msg;

  switch (errcode) {
    case ERR_CMD_LINE :
      msg = "Bad command line";
      break;
    case ERR_READ_FILE :
      msg = "Error reading file";
      break;
    case ERR_WRITE_FILE :
      msg = "Error writing file";
      break;
    case ERR_OPEN_FILE :
      msg = "Error opening file";
      break;
    case ERR_CLOSE_FILE :
      msg = "Error closing file";
      break;
    default : msg="Unknown errorcondition";
  }
  fprintf(stderr,"%s: %s: %s\n",Progname,msg,str);
  print_usage();        /* Print usage info. and terminate */
}
