/*----------------------- Rogaland University Centre -------------------------
## \section{io}
## 
## 
## \subsection*{Purpose}
## Routine for writing to the user console.
## 
## \subsection*{Description}
## \subsubsection*{printPstFin}
## 	Print the percentage of completion of a process.
## 	The percentage written last will be deleted and the
## 	current will be printed on the same location.
## 	The number printed will be counter/max*100%
## 
## \subsection*{Usage }
## \subsubsection*{printPstFin}
## \begin{verbatim}
## printPstFin (msg,counter,max)
##      char *msg;
##      int counter;
##      int max;
## \end{verbatim}
## \begin{itemize}
##   \item	        Message to the user 
##   \item	        Counter 
##   \item	        Maximum counter value, counter = max $\Rightarrow$ 100%
## \end{itemize}
## 
## 
## \subsection*{Date created}
## March 1993
 *------------------------ Rogaland University Centre -----------------------*/



#include <stdio.h>


printPstFin (msg,counter,max)
     char *msg;
     int counter;
     int max;
     /* Print an integer number indicating the percent of a task completed */
     /* counter >= 1 and <= max */
{
  static int pst;

  if (counter==1) {
    pst=100*counter/max;
    fprintf(stderr,"%s: %3d%%",msg,pst);
  }
  else if (counter == max) {
    pst = 100;
    fprintf(stderr,"\b\b\b\b100%%\n");
  }
  else if (100*counter/max != pst) {
    pst = 100*counter/max;
    fprintf(stderr,"\b\b\b\b%3d%%",pst);
  }
}
