/*
  Copyright (c) 1993 Trygve Randen
  
  Disclaimer:  No guarantees of performance accompany this software,
  nor is any responsibility assumed on the part of the authors.  All the
  software has been tested extensively and every effort has been made to
  insure its reliability.
  */

/* Computes the Gaussian distribution function, thus:
   G(-inf,0,1)=0
   G(0,0,1)=0.5
   G(inf,0,1)=1
   */
#define G(d,mean,var) (1 - 0.5 * erfc((((double) (d))-((double) (mean))) \
				      / (sqrt(((double) (var)) * 2))))


#define log2(x) (log(x)/log(2))
/* Calculate the twos logarithm */

#define sqr(x) ((x)*(x))
/* Calculate x^2 */

#define abs(x) ((x)>0 ? (x) : -(x))
