/*----------------------- Rogaland University Centre -------------------------
 *
 *
 * module:
 *	header	Multichannel filter header file
 *
 *
 * purpose:
 *	Define constants and macros for all the modules of the 
 *	mutichannel fitler
 *
 * description:
 *
 * parameters:
 *
 * routines required:
 *
 * author / maintained by:
 *	Trygve Randen
 *
 * date created:
 *	January 1993
 *
 *
 * updates:
 *
 *
 *------------------------ Rogaland University Centre -----------------------*/

#ifndef _MULTCHFILT_
#define _MULTCHFILT_

#include <hipl_format.h>
#include "math.h"

/* Index of parts of complex numbers */
#define RE 0
#define IM 1

#define coord(x,y,ncols) ((int) ((x)*(ncols) + (y)))
/* Calculates the coordinate as used in HIPS-2 programs from the 
   x and y coordinates and the number of columns */

typedef int Coord[2];

#define DEFAULT_SIGMA_U_FACTOR "0.283107266752"
#define DEFAULT_SIGMA_V_FACTOR "0.351800608497"
#define DEFAULT_SIGMA_FACTOR   "0.707106781188"

/* Parameters to one_channel_filter */
#define NO_FILTER 0
#define GENERAL_GABOR 1
#define EVEN_GABOR 2

#define NO_NONLIN 0
#define TANH_NONLIN 1

#define NO_BLURR 0
#define BLURR 1

#define TO_FR(discr_fr,width) ((discr_fr) < (width)/2 \
			       ? (double) (discr_fr) / (width) \
			       : (double) -((width)-(discr_fr)) / (width))
/* Convert a discrete frequency between 0 and number of rows/columns to
   a normalized frequency in Hz, between -0.5 and 0.5 */

#endif


