/*----------------------- Rogaland University Centre -------------------------
## \section{mcf\_invfourtr}
## 
## 
## \subsection*{Purpose}
## Inverse fourier tranform with scaling so that the maximum absolute
## value is 1.0
## 
## \subsection*{Description}
## \subsubsection*{mcf\_invfourtr}
## 	Inverse fourier tranform with scaling so that the maximum 
## 	absolute value is 1.0
## 
## \subsection*{Usage}
## \subsubsection*{mcf\_invfourtr}
## \begin{verbatim}
## mcf_invfourtr (hd)
##   struct header *hd;
## \end{verbatim}
## \begin{itemize}
##   \item	        Image header
## \end{itemize}
## 
## 
## 
## 
## \subsection*{Date created}
## January 1993
 *------------------------ Rogaland University Centre -----------------------*/


#include <math.h>
#include <limits.h>
#include <float.h>
#include <hipl_format.h>
#include "mcf.h"


/* Inverse Fourier-transform an image and normalize the greylevel */
mcf_invfourtr (hd)
     struct header *hd;
{
  float min, max, scale;

  h_invfourtr(hd);

  /* Scale the image to [-1,1] */
  h_minmax(hd,&min,&max,FALSE);
  scale = MAX(abs(max),abs(min));
  h_divscale(hd,hd,&scale);
  return(HIPS_OK);
}
