/**********************************************************
  
  MKTEX.H
  
  Structures and definitions for mktex.
  
  
  Original version by: Y. King, April 1991
  Laboratory for Computational Intelligence
  University of British Columbia

  Modified by Trygve Randen, Rogaland University Centre, tranden@hsr.no  
  **********************************************************/

#define	PIXSIZE	256
#define	PI	3.14159

#define	ROUND(x)	((int) ((x)<0 ? ((x) - 0.5) :((x) + 0.5)))
#define	MAX(a,b)	((a) > (b) ? (a) : (b))
#define	MIN(a,b)	((a) < (b) ? (a) : (b))
#define	SIGN(a)		((a) < 0 ? -1 : 1)


typedef	struct {
  double	x;
  double	y;
}
POINT;



typedef	struct linelist {
  POINT	start;
  POINT	end;
  
  struct linelist	*next;
}
LINELIST;



typedef	struct texture {
  char	shape;
  POINT	tl;	/* top left */
  POINT	br;	/* bottom right */
  int	min_orientation;	/* minimum roatation */
  int	max_orientation;	/* maximum roatation */
  int	res_orientation;	/* rotation resolution */
  int	dx;	/* max offset, x-direction */
  int	dy;	/* max offset, y-direction */
  int	res_dx;	/* offset resolution, x-direction */
  int	res_dy;	/* offset resolution, y-direction */
  int	pixels;
  LINELIST	*lines;
  
  struct texture	*next;
}
TEXTURE;

