/*----------------------- Rogaland University Centre -------------------------
## \section{mktex\_imout}
## 
## 
## \subsection*{Purpose}
## Output texture generated by mktex in HIPS-2 format
## 
## \subsection*{Description}
## \subsubsection*{OutputImage}
## 	Output texture generated by mktex in HIPS-2 format
## 
## \subsection*{Usage}
##
## \subsubsection*{OutputImage}
## \begin{verbatim}
## OutputImage(image,xsize,ysize,argc,argv)
##      int *image;
##      int ysize,xsize;
##      int argc;
##      char **argv;
## \end{verbatim}
## \begin{itemize}
##   \item        Image array.
##   \item        Vertical (x) dimension (number of pixels).
##   \item        Horizontal (y) dimension.
##   \item        argc (number of commandline arguments).
##   \item        argv (commandline argument vector).
## \end{itemize}
## 
## 
## 
## \subsection*{Date created}
## January 1993
 *------------------------ Rogaland University Centre -----------------------*/



#include <hipl_format.h>
#include <math.h>


int types[] = {PFINT,LASTTYPE};


OutputImage(image,xsize,ysize,argc,argv)
     int *image;
     int ysize,xsize;
     int argc;
     char **argv;
{
  struct header hd;
  int *pix, *val,i,j,method;

  init_hdr_alloc(&hd,"","",1,"",xsize,ysize,PFINT,1,"");
  pix = (int *) hd.firstpix;
  val = image;
  for(i=0; i<xsize; i++)
    for(j=0; j<ysize; j++) 
      *pix++ = *val++;
  write_headeru(&hd,argc,argv);
  write_image(&hd,0);
  return(HIPS_OK);
}
