/*----------------------- Rogaland University Centre -------------------------
 *
 *
 * module:
 *	header	qmf
 *
 *
 * purpose:
 *	Common basis of definitions for all quadrature mirror filters
 *
 * description:
 *
 * parameters: 
 *
 * routines required:
 *
 * author / maintained by:
 *	Trygve Randen
 *
 * date created:
 *	March 20, 1993
 *
 *
 * updates:
 *   21/3-94
 *	Changed definition of FILT_DIR to contain name of environment variable
 *	containing the filter specifications.
 *
 *------------------------ Rogaland University Centre -----------------------*/

#ifndef _QMF_H_
#define _QMF_H_


/* Definitions */
#define MAX_PRTYP_TAPS 32	/* Maximum number of filtertaps for 
				   prototype filter */
#define MAX_FILT 8		/* Max number of filterlevels */
#define MAX_NTAPS 3969		/* Max number of filter taps */
	/* NB! MAX_NTAPS must be equal to 
	   MAX_PRTYP_TAPS + (MAX_PRTYP_TAPS-1) * (2^(MAX_FILT-1) - 1) */
#define MAX_STRUCT 5		/* Max structure number */
#define MAX_STRUCT_STR_LEN 400	/* Max structure definition string length */
#define FILT_DIR "FILT_DIR"	/* Filter directory, name of environment var.*/
#define FILT_EXT ".dat"		/* Filter filename extension */

/* Header files */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <ctype.h>
#include <hipl_format.h>
#include "nrutil.h"
#include "struct_defs.h"
#include "declarations.h"
#include "math.h"

/* Function prototypes */
FilterTree BuildFiltStructTree ();
FilterTree CompileFiltStructTree ();
FilterTree CompileFiltStructTreeFromBin ();

#endif
