/*---------------------------------------------------------------------------
## \section{size}
## 
## \subsection*{Purpose}
## Extract the size of a sequence, and print it to stdout
## 
## \subsection*{Usage }
## \begin{verbatim}
## size [-frames | -rows | -cols] [imagefile]
## \end{verbatim}
## \begin{description}
##   \item[-frames]
## 	Output number of frames
##   \item[-rows]
## 	Output number of rows
##   \item[-cols]
## 	Output number of columns
## \end{description}
## 
## \subsection*{Date created}
## 5 February, 1994
+---------------------------------------------------------------------------+
|	Trygve Randen                                                       |
|	Rogaland University Center, Dept. of Elect. and Computer Eng.       |
|	P.O. Box 2557 Ullandhaug, 4004 Stavanger, Norway                    |
|	Tel.: +47 51 87 43 36, Fax.: +47 51 87 42 36                        |
|	E-mail: tranden@hsr.no                                              |
+--------------------------------------------------------------------------*/


#include <hipl_format.h>

/* Define the commandline-format */
static Flag_Format flagfmt[] = {
  {"frames",{"rows","cols",LASTFLAG},0,{{PTBOOLEAN,"TRUE"}, LASTPARAMETER}},
  {"rows",{"cols","frames",LASTFLAG},0,{{PTBOOLEAN,"FALSE"}, LASTPARAMETER}},
  {"cols",{"rows","frames",LASTFLAG},0,{{PTBOOLEAN,"FALSE"}, LASTPARAMETER}},
  LASTFLAG};

int types[]={PFINT,PFFLOAT,LASTTYPE};

main(int argc,char **argv)
{
  struct header hd;
  Filename filename;
  FILE *fp;
  Boolean frames, rows, cols;

  Progname = strsave(*argv);
  parseargs(argc,argv,flagfmt,&frames,&rows,&cols,FFONE,&filename);
  fp = hfopenr(filename);
  fread_hdr_a(fp,&hd,filename);
  if (frames)
    printf("%d\n",hd.num_frame);
  if (rows)
    printf("%d\n",hd.rows);
  if (cols)
    printf("%d\n",hd.cols);

  return(0);
}

