/*----------------------- Rogaland University Centre -------------------------
## \section{txt2hips}
## 
## 
## \subsection*{Purpose}
## Program for converting a ASCII text datafile to HIPS-2 format.
## 
## \subsection*{Description}
## Restrictions:
## \begin{itemize}
## \item	Does only accept byte-format input. 
## \item	For the simplicity of the programming, the user must specify
## 	imagesize.
## \end{itemize}
## 
## \subsection*{Usage}
## \begin{verbatim}
## txt2hips [-s rows<integer> 
##              [cols<integer>]]
## \end{verbatim}
## \begin{description}
## \item[-s]
## 	rows [columns]
## 	Imagesize, default 128 rows and columns=rows
## \end{description}
## 
## 
## 
## 
## \subsection*{Date created}
## February 1993
 *------------------------ Rogaland University Centre -----------------------*/



#include <hipl_format.h>

/* Define the commandline-format */
static Flag_Format flagfmt[] = {
  {"s",{LASTFLAG},1,{{PTINT,"128","rows"},{PTINT,"-1","cols"},LASTPARAMETER}},
  LASTFLAG};

main(argc,argv)
     int argc;
     char **argv;
{
  struct header hd;
  int rows,cols,i,j,pixVal;
  byte *pix;

  Progname = strsave(*argv);
  parseargs(argc,argv,flagfmt,&rows,&cols,FFNONE);
  if(cols<0)
    cols = rows;

  init_hdr_alloc(&hd,"","",1,"",rows,cols,PFBYTE,1,"");
  pix = (byte *) hd.firstpix;
  write_headeru(&hd,argc,argv);

  for(i=0; i<rows; i++) {
    for(j=0; j<cols; j++) {
      scanf(" %d ",&pixVal);
      *pix++ = (byte) pixVal;
    }
  }

  write_image(&hd,0);
  return(0);
}

